Package org.kie.api.runtime.manager.audit

## Interface VariableInstanceLog

-     public interface VariableInstanceLog

  Audit view of variables that keeps track of all changes of variable identified by given name/id. This means that variable log will contain both current and previous (if exists) value of the variable.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getDate()` |
    `java.lang.String` | `getExternalId()` |
    `java.lang.String` | `getOldValue()` |
    `java.lang.String` | `getProcessId()` |
    `java.lang.Long` | `getProcessInstanceId()` |
    `java.lang.String` | `getValue()` |
    `java.lang.String` | `getVariableId()` |
    `java.lang.String` | `getVariableInstanceId()` |

- - ### Method Detail

    - #### getProcessInstanceId

          java.lang.Long getProcessInstanceId()

      Returns:
        process instance identifier

    - #### getProcessId

          java.lang.String getProcessId()

      Returns:
        process id of the definition

    - #### getVariableInstanceId

          java.lang.String getVariableInstanceId()

      Returns:
        additional information in case variable is defined on composite node level to be able to distinguish it between top level and embedded level variables

    - #### getVariableId

          java.lang.String getVariableId()

      Returns:
        identifier of the variable aka variable name

    - #### getValue

          java.lang.String getValue()

      Returns:
        current value of the variable

    - #### getOldValue

          java.lang.String getOldValue()

      Returns:
        previous value of the variable (if any)

    - #### getDate

          java.util.Date getDate()

      Returns:
        date when the variable was set (to current value)

    - #### getExternalId

          java.lang.String getExternalId()

      Returns:
        external (optional) identifier associated with this process instance